Bug 872655 - [abrt] dhclient-4.2.4-16.P2.fc17: get_char: Process /usr/sbin/dhclient was killed by signal 7 (SIGBUS)
[abrt] dhclient-4.2.4-16.P2.fc17: get_char: Process /usr/sbin/dhclient was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
abrt_hash:e199334b5357db1a954a60378b0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-02 12:36 EDT by yureck
Modified: 2013-07-31 21:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (385 bytes, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details
File: environ (171 bytes, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details
File: backtrace (8.26 KB, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details
File: cgroup (174 bytes, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details
File: smolt_data (2.74 KB, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details
File: maps (8.92 KB, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details
File: dso_list (2.94 KB, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details
File: proc_pid_status (739 bytes, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details
File: open_fds (243 bytes, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details
File: var_log_messages (7.84 KB, text/plain)
2012-11-02 12:37 EDT, yureck
no flags Details

  None (edit)
Description yureck 2012-11-02 12:36:58 EDT
Version-Release number of selected component:
dhclient-4.2.4-16.P2.fc17

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.16
backtrace_rating: 4
cmdline:        /sbin/dhclient -d -4 -sf /usr/libexec/nm-dhcp-client.action -pf /var/run/dhclient-p16p1.pid -lf /var/lib/dhclient/dhclient-fd034920-8289-4a79-b43a-ca1d8ef54349-p16p1.lease -cf /var/run/nm-dhclient-p16p1.conf p16p1
crash_function: get_char
kernel:         3.6.3-1.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (7 frames)
: #0 get_char at conflex.c:190
: #1 read_num_or_name at conflex.c:684
: #2 get_raw_token at conflex.c:287
: #3 do_peek_token at conflex.c:396
: #4 peek_token at conflex.c:436
: #5 parse_client_lease_statement at clparse.c:1085
: #6 read_client_leases at clparse.c:321
Comment 1 yureck 2012-11-02 12:37:01 EDT
Created attachment 637149 [details]
File: core_backtrace
Comment 2 yureck 2012-11-02 12:37:03 EDT
Created attachment 637150 [details]
File: environ
Comment 3 yureck 2012-11-02 12:37:05 EDT
Created attachment 637151 [details]
File: backtrace
Comment 4 yureck 2012-11-02 12:37:07 EDT
Created attachment 637152 [details]
File: limits
Comment 5 yureck 2012-11-02 12:37:14 EDT
Created attachment 637153 [details]
File: cgroup
Comment 6 yureck 2012-11-02 12:37:16 EDT
Created attachment 637154 [details]
File: smolt_data
Comment 7 yureck 2012-11-02 12:37:18 EDT
Created attachment 637155 [details]
File: maps
Comment 8 yureck 2012-11-02 12:37:20 EDT
Created attachment 637156 [details]
File: dso_list
Comment 9 yureck 2012-11-02 12:37:22 EDT
Created attachment 637157 [details]
File: proc_pid_status
Comment 10 yureck 2012-11-02 12:37:25 EDT
Created attachment 637158 [details]
File: open_fds
Comment 11 yureck 2012-11-02 12:37:27 EDT
Created attachment 637159 [details]
File: var_log_messages
Comment 12 Jiri Popelka 2012-11-02 13:17:44 EDT
Quite strange, maybe some dhclient leases database file corruption.
We can try to remove the leases file at all and restart dhclient.

Please do the following steps as superuser (root):
# rm -f /var/lib/dhclient/*.lease
# killall dhclient

Now wait a minute, then run the following command and attach the output to this bug report:
# tail -n100 /var/log/messages
Comment 13 Fedora End Of Life 2013-07-03 19:08:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-07-31 21:31:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.